ActiveSupport::Reloader.to_prepare do
  unless UsersHelper.included_modules.include?(RedmineCostAdmin::UsersHelperPatch)
    UsersHelper.send(:include, RedmineCostAdmin::UsersHelperPatch)
  end
end

require_dependency "users_helper"

module RedmineCostAdmin
  module UsersHelperPatch
    def self.included(base) # :nodoc:
      base.send(:include, InstanceMethods)
      base.include(ClassMethods)

      base.class_eval do
        unloadable
        # alias_method :user_settings_tabs_without_contracts, :user_settings_tabs
        # alias_method :user_settings_tabs, :user_settings_tabs_with_contracts
      end
    end

    module InstanceMethods
      # def user_settings_tabs_with_contracts
      #   tabs = user_settings_tabs_without_contracts
      #   if User.current.allowed_to?(:view_contracts, nil) || User.current.admin?
      #     tabs.append({ :name => "contracts", :partial => "users/contract", :label => :label_contract_plural })
      #   end
      #   tabs
      # end
    end

    module ClassMethods
    end
  end
end
